=== debian/control ===
Source: ros-melodic-openni-launch
Section: misc
Priority: extra
Maintainer: Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roslaunch
Homepage: http://www.ros.org/wiki/openni_launch
Standards-Version: 3.9.2

Package: ros-melodic-openni-launch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-nodelet, ros-melodic-openni-camera, ros-melodic-rgbd-launch
Description: Launch files to open an OpenNI device and load all nodelets to convert raw depth/RGB/IR streams to depth images, disparity images, and (registered) point clouds.
